iMovie version issue

Discussion in 'Mac Apps and Mac App Store' started by chrome_egg, Oct 17, 2018.

  1. chrome_egg macrumors newbie

    Joined:
    Oct 17, 2018
    #1
    Hello all. Not sure if this is the right type of forum to ask my question but going with it anyway.

    My child is aspiring moviemaker; thus, he's learning the ins and outs of using iMovie. He's works in iMovie via external hard drive on a MacBook Air (Mid 2011) [Yosemite 10.10.5] with iMovie 10.1.

    While working on a project with a friend, he plugged his external drive into friends Mac which was running iMovie 10.1.9. Now he cannot open iMovie file on his computer because it was autosaved to the newer iMovie version 10.1.9.

    I imagine one work around is to upgrade the operating system to the level that 10.1.9 will work but I don't think that will be possible on a Mid 2011 machine.

    Any insight into how I can help him will be very much appreciated.

    Thanks, in advance!!
     
  2. kohlson macrumors 68000

    Joined:
    Apr 23, 2010
    #2
    I think the latest iMovie requires (nearly) the latest macOS - 10.13. I have installed 10.13 on a 4GB 2011 MBA, and it works fine.
     
  3. Dave Braine macrumors 68040

    Dave Braine

    Joined:
    Mar 19, 2008
    Location:
    Warrington, UK
    #3
    10.1.9 will work with High Sierra which can be installed on late 2010 MBAs with 2Gb of RAM.
     

Share This Page